//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;


namespace Tutorial9
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, EventArgs e)
		{
			calendar1.SaveToDataSource(
				reminderTableAdapter1,
				styleTableAdapter1,
				customBrushesTableAdapter1,
				contactTableAdapter1,
				locationTableAdapter1,
				resourceTableAdapter1,
				taskTableAdapter1,
				itemTableAdapter1,
				itemContactsTableAdapter1,
				itemResourcesTableAdapter1,
				recurrenceTableAdapter1,
				recurrenceExceptionTableAdapter1,
				recurrenceExceptionsTableAdapter1
				);
		}

		private void button2_Click(object sender, EventArgs e)
		{
			calendar1.Schedule.Clear();
			plannerDataSet.Clear();

			reminderTableAdapter1.Fill(plannerDataSet.Reminder);
			styleTableAdapter1.Fill(plannerDataSet.Style);
			customBrushesTableAdapter1.Fill(plannerDataSet.CustomBrushes);
			contactTableAdapter1.Fill(plannerDataSet.Contact);
			locationTableAdapter1.Fill(plannerDataSet.Location);
			resourceTableAdapter1.Fill(plannerDataSet.Resource);
			taskTableAdapter1.Fill(plannerDataSet.Task);
			itemTableAdapter1.Fill(plannerDataSet.Item);
			itemContactsTableAdapter1.Fill(plannerDataSet.ItemContacts);
			itemResourcesTableAdapter1.Fill(plannerDataSet.ItemResources);
			recurrenceTableAdapter1.Fill(plannerDataSet.Recurrence);
			recurrenceExceptionTableAdapter1.Fill(plannerDataSet.RecurrenceException);
			recurrenceExceptionsTableAdapter1.Fill(plannerDataSet.RecurrenceExceptions);

			calendar1.LoadFromDataSource();
		}
	}
}