//
// Copyright (c) 2016, MindFusion LLC - Bulgaria.
//

using System;


namespace MindFusion.Scheduling.WinForms.Samples.CS.Tutorial5
{
	/// <summary>
	/// Summary description for MyApp.
	/// </summary>
	[ItemViewer(typeof(MyAppViewer))]
	[ItemEditor(typeof(MyAppEditor))]
	public class MyApp : Appointment
	{
		public MyApp()
		{
			kept = true;
		}

		public bool Kept
		{
			get { return kept; }
			set { kept = value; }
		}

		public override void SaveTo(System.IO.BinaryWriter writer, BinarySerializationContext context)
		{
			base.SaveTo(writer, context);

			writer.Write(kept);
		}

		public override void LoadFrom(System.IO.BinaryReader reader, BinarySerializationContext context)
		{
			base.LoadFrom(reader, context);

			kept = reader.ReadBoolean();
		}


		private bool kept;
	}
}
